# Uses of Class
java.nio.channels.SelectableChannel

Packages that use SelectableChannel
Package
Description
com.sun.nio.sctp
A Java API for Stream Control Transport Protocol.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.
jdk.nio
Defines JDK-specific `channel` APIs.

- ## Uses of SelectableChannel in com.sun.nio.sctp

  Subclasses of SelectableChannel in com.sun.nio.sctp
  Modifier and Type
  Class
  Description
  `class`
  `SctpChannel`
  A selectable channel for message-oriented connected SCTP sockets.
  `class`
  `SctpMultiChannel`
  A selectable channel for message-oriented SCTP sockets.
  `class`
  `SctpServerChannel`
  A selectable channel for message-oriented listening SCTP sockets.

- ## Uses of SelectableChannel in java.nio.channels

  Subclasses of SelectableChannel in java.nio.channels
  Modifier and Type
  Class
  Description
  `class`
  `DatagramChannel`
  A selectable channel for datagram-oriented sockets.
  `static class`
  `Pipe.SinkChannel`
  A channel representing the writable end of a `Pipe`.
  `static class`
  `Pipe.SourceChannel`
  A channel representing the readable end of a `Pipe`.
  `class`
  `ServerSocketChannel`
  A selectable channel for stream-oriented listening sockets.
  `class`
  `SocketChannel`
  A selectable channel for stream-oriented connecting sockets.
  Methods in java.nio.channels that return SelectableChannel
  Modifier and Type
  Method
  Description
  `abstract SelectableChannel`
  SelectionKey.`channel()`
  Returns the channel for which this key was created.
  `abstract SelectableChannel`
  SelectableChannel.`configureBlocking(boolean block)`
  Adjusts this channel's blocking mode.

- ## Uses of SelectableChannel in java.nio.channels.spi

  Subclasses of SelectableChannel in java.nio.channels.spi
  Modifier and Type
  Class
  Description
  `class`
  `AbstractSelectableChannel`
  Base implementation class for selectable channels.
  Methods in java.nio.channels.spi that return SelectableChannel
  Modifier and Type
  Method
  Description
  `final SelectableChannel`
  AbstractSelectableChannel.`configureBlocking(boolean block)`
  Adjusts this channel's blocking mode.

- ## Uses of SelectableChannel in jdk.nio

  Methods in jdk.nio that return SelectableChannel
  Modifier and Type
  Method
  Description
  `static SelectableChannel`
  Channels.`readWriteSelectableChannel(FileDescriptor fd, Channels.SelectableChannelCloser closer)`
  Creates a selectable channel to a file descriptor that supports an `operation-set` of `OP_READ` and `OP_WRITE`.
  Methods in jdk.nio with parameters of type SelectableChannel
  Modifier and Type
  Method
  Description
  `void`
  Channels.SelectableChannelCloser.`implCloseChannel(SelectableChannel sc)`
  Closes a selectable channel.
  `void`
  Channels.SelectableChannelCloser.`implReleaseChannel(SelectableChannel sc)`
  Release the file descriptor and any resources for a selectable channel that closed while registered with one or more `Selector`s.